1

Have Civicrm 5.12.4 and wished to upgrade to 5.14.0

On running database upgrade part failed right at the end with:

An error has occurred. 0 Class 'CRM_Sparkpost' not found

When checking sparkpost with Civi menu: Super User->Configure CiviCRM->System Settings->Outbound Email(SparkPost) failed to take me to the SparkPost menu

So, disabled and then re-enabled the SparkPost exstension. Now the SparkPost menu above works.

Although the above seemed to work, CiviCRM still complained about needing an update to 5.14.0, despite it reporting that version at the status line at the bottom.

So, decided to test upgrade again from scratch, using a copy of today's live database - this time disabling SparkPost extension first.

Now the database upgrade just stops immediately with message:

[Executed: Cleanup old files

CiviCRM is now broken!

Tried again from scratch without first disabling SparkPost - same problem.

Any ideas?

ubuntu server 16.04.1 php 7.1.30 Joomla 3.9.6 CiviCRM 5.12.4

0

To confirm this is now fixed in the latest version available of the sparkpost extension available here: https://github.com/cividesk/com.cividesk.email.sparkpost

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.